Subject: Re: [PATCH v3 0/8] arm64: rockchip: Initial GeekBox enablement

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 9 Mar 2016 10:00:59 +0100

On 3/9/2016 9:56 AM, Giuseppe CAVALLARO wrote:
> Hello
>
> On 3/9/2016 9:35 AM, Tomeu Vizoso wrote:
>>
>> in order to get the onboard network on the Radxa Rock2 to work at all
>> on today's linux-next, I had to revert both commits:
>>
>> * "stmmac: Fix 'eth0: No PHY found' regression" for the drivers to
>> probe and the link to come up, and
>
> I've just sent two patches (on top of net.git) to fix this problem
> pls let me know if these help on your side too.
>
>>
>> * "stmmac: first frame prep at the end of the xmit routine" for the
>> network interface to work at all.
>
> I cannot reproduce it right now but I am looking at this again and let
> you know.
> I will check your output file too

hmm, I think that the problem is around the "normal descriptor"
management that is configured on the boxes where the driver is
failing now. Using enhanced descriptors the network is ok.
I will keep you up-to-date.

peppe

>
> Regards
> peppe
>
>
>> But a few seconds into the nfsroot boot I start getting:
>>
>> [    9.136701] systemd[1]: Started Load Kernel Modules.
>> [   18.116321] nfs: server 10.42.0.1 not responding, still trying
>> [   18.516224] ------------[ cut here ]------------
>> [   18.521024] WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:303
>> dev_watchdog+0x284/0x288
>> [   18.529456] NETDEV WATCHDOG: eth0 (rk_gmac-dwmac): transmit queue 0
>> timed out
>>
>> I'm attaching the full boot log.
>>
>> Regards,
>>
>> Tomeu
>>
>
>